> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get upload session

> Read the state of an upload session.

**Operation ID:** `http.uploads.get`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/files/uploads/{upload}
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/files/uploads/{upload}
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/files/uploads/{upload}:
    get:
      tags:
        - Files
      summary: Get upload session
      description: >-
        Read the state of an upload session.


        Product guidance: [File](/concepts/file), [Synced
        folder](/concepts/source).
      operationId: http.uploads.get
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: upload
          in: path
          required: true
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_uploads_get_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_uploads_get_response:
      type: object
      properties:
        data:
          type: object
          properties:
            upload_id:
              type: string
            status:
              type: string
              enum:
                - created
                - consumed
                - expired
                - aborted
            protocol:
              type: string
            filename:
              type: string
            media_type:
              type: string
            size_bytes:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            client_sha256:
              anyOf:
                - type: string
                - type: 'null'
            object_present:
              type: boolean
            grant_expires_at:
              type: string
            admission_expires_at:
              type: string
            consumed_at:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - upload_id
            - status
            - protocol
            - filename
            - media_type
            - size_bytes
            - client_sha256
            - object_present
            - grant_expires_at
            - admission_expires_at
            - consumed_at
          additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.